Subject: Re: [PATCH] test-lib: unset trace2 parent envvars

From: Junio C Hamano <[email-masked]>
Date: Tue, 18 Jan 2022 13:50:35 -0800

Josh Steadmon <[email-masked]> writes:

> Yes, due to the number of different TRACE2 modes, I figured it was
> cleaner to allow them by default and then explicitly unset the ones that
> cause trouble for trace parsing tests.

I think I would agree that it is a better solution, and the design
behind it (which makes me say it is better) should be recorded in
the log message (and possibly in-code comment near the place we
reset them) to help future developers who may add more TRACE2
variables.

Thanks.